package graphics_and_anon_classes;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Toolkit;
import java.util.List;

import javax.swing.JComponent;

public class ImageCanvas extends JComponent {
	private static int WIDTH = 300;
	private static int HEIGHT = 250;
	private Image img;
	
 	// Image should be in top-level of project, just like campus_map.jpg is
	// for your route-finder
	// Image taken from http://www.smiley-faces.org/smiley-face-wallpaper.php
	private static final String IMAGE_PATH = "smiley.jpg";
	
	public ImageCanvas() {
		super();
		this.img = Toolkit.getDefaultToolkit().getImage(IMAGE_PATH);
		this.setPreferredSize(new Dimension(WIDTH, HEIGHT));
	}
	
	@Override
	public void paintComponent(Graphics g) {
		super.paintComponent(g);
		// Draws img with top-left corner at (0,0) on the canvas and (0,0) on the image  
		g.drawImage(img, 0, 0, 500, 500, 130, 50, 300, 250, this);
	}
	
}
